| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NexVariable Class Reference
Nextion Component

NexButton component. More...

`#include <NexVariable.h>`

Inherits NexTouch.

## Public Member Functions
| NexVariable (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
uint32_t | getText (char *buffer, uint32_t len)
| Get text attribute of component. More...
bool | setText (const char *buffer)
| Set text attribute of component. More...
uint32_t | getValue (uint32_t *number)
| Get val attribute of component. More...
bool | setValue (uint32_t number)
| Set val attribute of component. More...
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
| Attach an callback function of push touch event. More...
void | detachPush (void)
| Detach an callback function. More...
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
| Attach an callback function of pop touch event. More...
void | detachPop (void)
| Detach an callback function. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

NexButton component.

Commonly, you want to do something after push and pop it. It is recommanded that only call NexTouch::attachPop to satisfy your purpose.

Warning
  Please do not call NexTouch::attachPush on this component, even though you can.

Definition at line 35 of file NexVariable.h.

## Constructor & Destructor Documentation

NexVariable::NexVariable | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 17 of file NexVariable.cpp.

## Member Function Documentation

uint32_t NexVariable::getText | ( | char * | buffer,
|  | uint32_t | len
| ) |  |

Get text attribute of component.

Parameters

  buffer | - buffer storing text returned.
  len | - length of buffer.

Returns
  The real length of text returned.

Definition at line 45 of file NexVariable.cpp.

uint32_t NexVariable::getValue | ( | uint32_t * | number | ) |

Get val attribute of component.

Parameters

  number | - buffer storing data retur

Returns
  the length of the data

Definition at line 22 of file NexVariable.cpp.

bool NexVariable::setText | ( | const char * | buffer | ) |

Set text attribute of component.

Parameters

  buffer | - text buffer terminated with '\0'.

Returns
  true if success, false for failure.

Definition at line 55 of file NexVariable.cpp.

bool NexVariable::setValue | ( | uint32_t | number | ) |

Set val attribute of component.

Parameters

  number | - To set up the data

Returns
  true if success, false for failure

Definition at line 31 of file NexVariable.cpp.

The documentation for this class was generated from the following files:

- NexVariable.h
- NexVariable.cpp